Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Banned User

Once a user is banned, they won't be able to join any rooms during the ban period.

Note

Banned users will be automatically removed from any ongoing room sessions.

Request Method

POST: https://data center domain/rtc/user/block.json

Signature rules: All requests to RC server APIs require authentication. See API Request Signature for details.

Request Body

The HTTP request body contains a JSON object with the following structure:

ParameterTypeRequiredDescription
userIdStringYesTarget user ID to be banned
minuteNumberYesBan duration in minutes (min: 1, max: 43200)

Request Example

POST /rtc/user/block.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Timestamp: 1585127132438
Nonce: 14314
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"userId":"DDDDD",
"minute":1
}

Response

The HTTP response body contains a JSON object with the following structure:

  • code: Business status code. 200 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200
}